package java.util.prefs;

import java.io.ObjectInputStream;
import java.io.NotSerializableException;
import java.io.ObjectOutputStream;
import java.util.EventObject;

public class PreferenceChangeEvent extends EventObject
{
    private String key;
    private String newValue;
    private static final long serialVersionUID = 793724513368024975L;
    
    public PreferenceChangeEvent(Preferences source, String key, String newValue) {
        super(source);
        this.key = key;
        this.newValue = newValue;
    }
    
    public Preferences getNode() {
        return (Preferences)this.getSource();
    }
    
    public String getKey() {
        return this.key;
    }
    
    public String getNewValue() {
        return this.newValue;
    }
    
    private void writeObject(ObjectOutputStream objectOutputStream) throws NotSerializableException {
        throw new NotSerializableException("Not serializable.");
    }
    
    private void readObject(ObjectInputStream objectInputStream) throws NotSerializableException {
        throw new NotSerializableException("Not serializable.");
    }
}
